Bug 143522 - subversion puts files in /usr/lib/python2.3/site-packages
subversion puts files in /usr/lib/python2.3/site-packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 17:09 EST by Nathan G. Grennan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.2-2.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 07:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2004-12-21 17:09:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
subversion packaged for x86_64 seems to improperly put files in
/usr/lib/python2.3/site-packages. It should be
/usr/lib64/python2.3/site-packages. This package isn't alone, and I
discovered this problem while trying to install bittorrent from
pre-extras.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143520


Version-Release number of selected component (if applicable):
subversion-1.1.1-1.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -qf yum | grep site-packages
2. rpm -qf python | grep site-packages

Actual Results:  subversion uses /usr/lib and python uses /usr/lib64

Expected Results:  subversion and python use /usr/lib64

Additional info:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143521
Comment 1 Nathan G. Grennan 2004-12-21 17:16:59 EST
The mention of yum in the Steps to Reproduce is a cut and paste error.
I meant 

rpm -qf subversion | grep site-packages

not
rpm -qf yum | grep site-packages
Comment 2 Joe Orton 2004-12-21 17:36:50 EST
subversion.spec uses the following location for site-packages:

# Put Python bindings in site-packages
%define pydir %(python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib()')

is this wrong?
Comment 3 Joe Orton 2004-12-21 17:38:27 EST
What does that command produce on FC3/x86_64?  With RHEL3/x86_64:

/usr/lib64/python2.2/site-packages

as expected.
Comment 4 Nathan G. Grennan 2004-12-21 17:44:06 EST
[root@proton site-packages]$ rpm -ql subversion | grep site-packages
/usr/lib/python2.3/site-packages/libsvn
/usr/lib/python2.3/site-packages/libsvn/__init__.py
/usr/lib/python2.3/site-packages/libsvn/__init__.pyc
/usr/lib/python2.3/site-packages/libsvn/_client.so
/usr/lib/python2.3/site-packages/libsvn/_core.so
/usr/lib/python2.3/site-packages/libsvn/_delta.so
/usr/lib/python2.3/site-packages/libsvn/_fs.so
/usr/lib/python2.3/site-packages/libsvn/_ra.so
/usr/lib/python2.3/site-packages/libsvn/_repos.so
/usr/lib/python2.3/site-packages/libsvn/_wc.so
/usr/lib/python2.3/site-packages/libsvn/client.py
/usr/lib/python2.3/site-packages/libsvn/client.pyc
/usr/lib/python2.3/site-packages/libsvn/core.py
/usr/lib/python2.3/site-packages/libsvn/core.pyc
/usr/lib/python2.3/site-packages/libsvn/delta.py
/usr/lib/python2.3/site-packages/libsvn/delta.pyc
/usr/lib/python2.3/site-packages/libsvn/fs.py
/usr/lib/python2.3/site-packages/libsvn/fs.pyc
/usr/lib/python2.3/site-packages/libsvn/ra.py
/usr/lib/python2.3/site-packages/libsvn/ra.pyc
/usr/lib/python2.3/site-packages/libsvn/repos.py
/usr/lib/python2.3/site-packages/libsvn/repos.pyc
/usr/lib/python2.3/site-packages/libsvn/wc.py
/usr/lib/python2.3/site-packages/libsvn/wc.pyc
/usr/lib/python2.3/site-packages/svn
/usr/lib/python2.3/site-packages/svn/__init__.py
/usr/lib/python2.3/site-packages/svn/__init__.pyc
/usr/lib/python2.3/site-packages/svn/client.py
/usr/lib/python2.3/site-packages/svn/client.pyc
/usr/lib/python2.3/site-packages/svn/core.py
/usr/lib/python2.3/site-packages/svn/core.pyc
/usr/lib/python2.3/site-packages/svn/delta.py
/usr/lib/python2.3/site-packages/svn/delta.pyc
/usr/lib/python2.3/site-packages/svn/fs.py
/usr/lib/python2.3/site-packages/svn/fs.pyc
/usr/lib/python2.3/site-packages/svn/ra.py
/usr/lib/python2.3/site-packages/svn/ra.pyc
/usr/lib/python2.3/site-packages/svn/repos.py
/usr/lib/python2.3/site-packages/svn/repos.pyc
/usr/lib/python2.3/site-packages/svn/util.py
/usr/lib/python2.3/site-packages/svn/util.pyc
/usr/lib/python2.3/site-packages/svn/wc.py
/usr/lib/python2.3/site-packages/svn/wc.pyc
/usr/share/xemacs/site-packages/lisp
/usr/share/xemacs/site-packages/lisp/psvn.el
Comment 5 Joe Orton 2005-01-11 07:41:57 EST
Fixed in FC3 update, subversion-1.1.2-2.3.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.